BMA EHR API Document

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BMA.EHR.MetaData.Service.Controllers.PrefixController Class Reference
Inheritance diagram for BMA.EHR.MetaData.Service.Controllers.PrefixController:

## Public Member Functions
| PrefixController (PrefixRepository repository)
async Task< ActionResult< ResponseObject > > | Get ()

## Additional Inherited Members
Protected Member Functions inherited from BMA.EHR.Domain.Common.BaseController
virtual ActionResult< ResponseObject > | Success (string message, object? result=null)
virtual ActionResult< ResponseObject > | Success (object? result=null)
virtual ActionResult< ResponseObject > | Error (string message, string result, int statusCode=StatusCodes.Status500InternalServerError)
virtual ActionResult< ResponseObject > | Error (string message, int statusCode=StatusCodes.Status500InternalServerError)
virtual ActionResult< ResponseObject > | Error (Exception exception, string message, int statusCode=StatusCodes.Status500InternalServerError)
virtual ActionResult< ResponseObject > | Error (Exception exception, int statusCode=StatusCodes.Status500InternalServerError)

## Constructor & Destructor Documentation

## ◆ PrefixController()

BMA.EHR.MetaData.Service.Controllers.PrefixController.PrefixController | ( | PrefixRepository | repository | ) |
| inline

## Member Function Documentation

## ◆ Get()

async Task< ActionResult< ResponseObject > > BMA.EHR.MetaData.Service.Controllers.PrefixController.Get | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- BMA.EHR.MetaData.Service/Controllers/PrefixController.cs